Subject: Re: bug#61704: 29.0.60; Crash in get_narrowed_begv

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Feb 2023 12:44:14 +0200

> Date: Thu, 23 Feb 2023 10:33:42 +0100
> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> 
> So OT1H we really should set proper minimum size hints for the WM to
> avoid that resize_frame_windows has to deal with frame sizes it
> intrinsically cannot handle and OTOH the redisplay engine should be able
> to handle zero window sizes to avoid crashes the window code cannot
> prevent.

As a stopgap, how about adding something to the doc strings regarding
the minimum "safe" values for these "min" variables?  Can you suggest
such values?  They don't have to be the _absolute_ minima, just safe
ones.

Thanks.